Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class HomeProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.HomeProxy

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  HomeProxy, HomeProxy

public class HomeProxy
extends GenericProxy

The client-side proxy for an EJB Home object.

Version:
  $Revision: 1.23 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury, Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Field Summary
`protected javax.ejb.EJBMetaData` | `ejbMetaData` The EJB meta-data for the `EJBHome` reference.
`protected static java.lang.reflect.Method` | `GET_EJB_META_DATA` `EJBHome.getEJBMetaData()` method reference.
`protected static java.lang.reflect.Method` | `GET_HOME_HANDLE` `EJBHome.getHomeHandle()` method reference.
`protected static java.lang.reflect.Method` | `REMOVE_BY_HANDLE` `EJBHome.remove(Handle)` method reference.
`protected static java.lang.reflect.Method` | `REMOVE_BY_PRIMARY_KEY` `EJBHome.remove(Object)` method reference.
`protected static java.lang.reflect.Method` | `REMOVE_OBJECT` `EJBObject.remove()` method reference.

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`HomeProxy()` No-argument constructor for externalization.
`HomeProxy(java.lang.String name, javax.ejb.EJBMetaData ejbMetaData, ContainerRemote container, boolean optimize)` Construct a `HomeProxy`.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args)` InvocationHandler implementation.
`void` | `readExternal(java.io.ObjectInput in)` Externalization support.
`void` | `writeExternal(java.io.ObjectOutput out)` Externalization support.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, removeLocal, setTPCFactory, setTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_EJB_META_DATA

    protected static final java.lang.reflect.Method GET_EJB_META_DATA

  `EJBHome.getEJBMetaData()` method reference.

### GET_HOME_HANDLE

    protected static final java.lang.reflect.Method GET_HOME_HANDLE

  `EJBHome.getHomeHandle()` method reference.

### REMOVE_BY_HANDLE

    protected static final java.lang.reflect.Method REMOVE_BY_HANDLE

  `EJBHome.remove(Handle)` method reference.

### REMOVE_BY_PRIMARY_KEY

    protected static final java.lang.reflect.Method REMOVE_BY_PRIMARY_KEY

  `EJBHome.remove(Object)` method reference.

### REMOVE_OBJECT

    protected static final java.lang.reflect.Method REMOVE_OBJECT

  `EJBObject.remove()` method reference.

### ejbMetaData

    protected javax.ejb.EJBMetaData ejbMetaData

  The EJB meta-data for the `EJBHome` reference.

Constructor Detail

### HomeProxy

    public HomeProxy()

  No-argument constructor for externalization.

### HomeProxy

    public HomeProxy(java.lang.String name,
                     javax.ejb.EJBMetaData ejbMetaData,
                     ContainerRemote container,
                     boolean optimize)

  Construct a `HomeProxy`.
  Parameters:
    `name` - The JNDI name of the container that we proxy for.
    `ejbMetaData` - ???
    `container` - The remote interface of the invoker for which this is a proxy for.
    `optimize` - True if the proxy will attempt to optimize VM-local calls.

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method m,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  InvocationHandler implementation.
  Parameters:
    `proxy` - The proxy object.
    `m` - The method being invoked.
    `args` - The arguments for the method.
  Throws:
    `java.lang.Throwable` - Any exception or error thrown while processing.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Externalization support.
  Overrides:
    `writeExternal` in class `GenericProxy`
  Parameters:
    `out` -
  Throws:
    `java.io.IOException` -

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Externalization support.
  Overrides:
    `readExternal` in class `GenericProxy`
  Parameters:
    `in` -
  Throws:
    `java.io.IOException` -
    `java.lang.ClassNotFoundException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.